Package Details: python-tensorflow114-opt 1.14.0-5

Git Clone URL: https://aur.archlinux.org/tensorflow114.git (read-only, click to copy)
Package Base: tensorflow114
Description: Library for computation using data flow graphs for scalable machine learning (with CPU optimizations)
Upstream URL: https://www.tensorflow.org/
Licenses: Apache
Conflicts: python-tensorflow
Provides: python-tensorflow
Submitter: fordprefect
Maintainer: tbjta
Last Packager: fordprefect
Votes: 0
Popularity: 0.000000
First Submitted: 2019-11-14 11:34 (UTC)
Last Updated: 2020-01-20 09:00 (UTC)

Required by (49)

Sources (1)

Latest Comments

1 2 Next › Last »

Tio commented on 2021-07-14 03:15 (UTC)

I get this error:

Building tensorflow114...
==> Making package: tensorflow114 1.14.0-5 (mié 14 jul 2021 05:12:16)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading v1.14.0.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   130  100   130    0     0    276      0 --:--:-- --:--:-- --:--:--   276

100  9100    0  9100    0     0   8952      0 --:--:--  0:00:01 --:--:--  8952
100 5696k    0 5696k    0     0  3089k      0 --:--:--  0:00:01 --:--:-- 6868k
100 12.2M    0 12.2M    0     0  4418k      0 --:--:--  0:00:02 --:--:-- 6871k
100 16.0M    0 16.0M    0     0  2259k      0 --:--:--  0:00:07 --:--:-- 2625k
100 33.4M    0 33.4M    0     0  4360k      0 --:--:--  0:00:07 --:--:-- 5006k
100 39.4M    0 39.4M    0     0  4992k      0 --:--:--  0:00:08 --:--:-- 5709k
==> Validating source files with sha512sums...
    v1.14.0.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting v1.14.0.tar.gz with bsdtar
==> Starting prepare()...
==> Starting build()...
Building without cuda and without non-x86-64 optimizations
Extracting Bazel installation...
You have bazel 4.1.0 installed.
Preconfigured Bazel build configs. You can use any of the below by adding "--config=<>" to your build command. See .bazelrc for more details.
    --config=mkl            # Build with MKL support.
    --config=monolithic     # Config for mostly static monolithic build.
    --config=gdr            # Build with GDR support.
    --config=verbs          # Build with libverbs support.
    --config=ngraph         # Build with Intel nGraph support.
    --config=numa           # Build with NUMA support.
    --config=dynamic_kernels    # (Experimental) Build kernels into separate shared objects.
Preconfigured Bazel build configs to DISABLE default on features:
    --config=noaws          # Disable AWS S3 filesystem support.
    --config=nogcp          # Disable GCP support.
    --config=nohdfs         # Disable HDFS support.
    --config=noignite       # Disable Apache Ignite support.
    --config=nokafka        # Disable Apache Kafka support.
    --config=nonccl         # Disable NVIDIA NCCL support.
Configuration finished
Starting local Bazel server and connecting to it...
ERROR: --incompatible_no_support_tools_in_action_inputs=false :: Unrecognized option: --incompatible_no_support_tools_in_action_inputs=false
==> ERROR: A failure occurred in build().
    Aborting...

cosandr commented on 2020-08-08 16:45 (UTC)

@tbjta

Any chance you still have those patches for Python 3.8? The pastebins 404.

fordprefect commented on 2020-03-02 12:52 (UTC)

I realize there is absolutely no time for this project atm, I'll disown and hope someone else can take over.

Pacane commented on 2020-02-25 16:24 (UTC)

FYI I can't build this because of Bazel version

You have bazel 2.1.0- (@non-git) installed. Please downgrade your bazel installation to version 0.25.2 or lower to build TensorFlow! To downgrade: download the installer for the old version (from https://github.com/bazelbuild/bazel/releases) then run the installer.

trougnouf commented on 2020-01-27 09:18 (UTC)

TF_NCCL_VERSION should be =2.5

fordprefect commented on 2020-01-19 15:58 (UTC) (edited on 2020-01-20 09:01 (UTC) by fordprefect)

@tbjta: Thank you for your contribution, I added you as co-maintainer. Please upload your changes, since I am very busy in real live atm. EDIT: I have uploaded your files, but could not test them. Could someone please confirm if this works?

lucaswerkmeister commented on 2020-01-19 13:03 (UTC)

I don’t think the checksum is very useful for local source files anyways – perhaps just mark them as 'SKIP' instead?

HenryJia commented on 2020-01-19 13:02 (UTC) (edited on 2020-01-19 17:43 (UTC) by HenryJia)

@tbjta

Tried your PKGBUILD. Seems to be coming along nicely, though it doesn't seem to work with Bazel 2.x (downgrading to 0.29 seems to solve it so far) and also the sha512sum of the the diff seems to be wrong in it. I'll edit this if it doesn't work or anything